package com.xingxi.web.controller.master.product.service.impl;

import com.xingxi.master.designer.domain.Designer;
import com.xingxi.master.product.domain.ProdClass;
import com.xingxi.web.controller.master.product.mapper.ProdVoMapper;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 商品共通Service
 *
 * @author xingxi
 * @date 2025-03-06
 */
@Component("product")
public class ProdCommonService {
    private final ProdVoMapper prodVoMapper;

    public ProdCommonService(ProdVoMapper prodVoMapper) {
        this.prodVoMapper = prodVoMapper;
    }

    public List<ProdClass> getProdClasses() {
        return prodVoMapper.selectProdClassList();
    }

    public List<Designer> getDesigners() {
        return prodVoMapper.selectDesignerList();
    }
}
